# all code to do with english

package about

_textabcol_ {About this collection}

_textsubcols1_ {<p>The complete collection comprises _1_ subcollections:
<blockquote>}

_textsubcols2_ {</blockquote>
You can check (and alter) which subcollections you are 
currently using on the Preferences page.}

####################################################################3

package Global

######################
# default page content
######################

_textdefaultcontent_ {The requested page could not be found. Please use your browsers 'back' button
or the above home button to return to the Greenstone Digital Library.}
_textdefaulttitle_ {GSDL Error}

_collectionextra_ {This collection contains _about:numdocs_ documents. 
It was last built _about:builddate_ days ago.}

_textimagecollection_ {}
_textimageabout_ {About page}
_textimagehome_ {Home page}
_textimagehelp_ {Help page}
_textimagepref_ {Preferences page}
_textimagegreenstone_ {Greenstone Digital Library Software}

_textimagesearch_ {Search for specific terms}
_textimageTitle_ {Browse alphabetical list of titles}
_textimageList_ {Browse document listing}
_textimageCreator_ {Browse alphabetical list of authors}
_textimageSeries_ {Browse by issue}
_textimageDate_ {Browse by date}
_textimageSubject_ {Browse by subject category}
_textimageOrganization_ {Browse by organization}
_textimageHowto_ {Browse how to categories}
_textimageTopic_ {Browse special topic issues}
_textimageBrowse_ {Browse}
_textimagePeople_ {Browse alphabetical list of People}

_texticontabsearchgreen_{Search}
_texticontabdategreen_{Dates}
_texticontabseriesgreen_{Series}
_texticontabauthorgreen_{Authors A-Z}
_texticontabtitlegreen_{Titles A-Z}
_texticontablistgreen_ {Listing}
_texticontabsubjectgreen_{Subjects}
_texticontaborggreen_{Organization}
_texticontabhowgreen_{How to}
_texticontabtopicgreen_{Topics}
_texticontabbrwsegreen_{Browse}
_texticontabPeoplegreen_{People A-Z}

_texticontext_ {View the document}
_texticonclosedbook_ {open this document and view contents}
_texticonnext_ {to next section}
_texticonprev_ {to previous section}

_page_ {page }
_of_ { of }
_vol_ {Volume}
_num_ {Number}

_textmonth00_ {}
_textmonth01_ {January}
_textmonth02_ {February}
_textmonth03_ {March}
_textmonth04_ {April}
_textmonth05_ {May}
_textmonth06_ {June}
_textmonth07_ {July}
_textmonth08_ {August}
_textmonth09_ {September}
_textmonth10_ {October}
_textmonth11_ {November}
_textmonth12_ {December}

_magazines_ {Magazines}

################
# from visarts.dm
###############

_textimageArtist_ {Browse alphabetical list of artists}

_textimageCategory_ {Browse alphabetical list of studio majors}

_texticontabartistgreen_ {Artists}

_texticontabcategorygreen_{Categories}

####################################################################

package document

_textTitlepage_ {_texticonhtitle_}
_textCreatorpage_ {_texticonhauth_}
_textSubjectpage_ {_texticonhsubj_}
_textSeriespage_ {_texticonhser_}
_textDatepage_ {_texticonhdate_}
_textHowtopage_ {_texticonhhow_}
_textOrganizationpage_ {_texticonhorg_}
_textBrowsepage_ {_texticonhbrwse_}
_textPeoplepage_ {_texticonhpeople_}

_texticonhtitle_ {Titles A-Z}
_texticonhauth_ {Authors A-Z}
_texticonhsubj_ {Subjects}
_texticonhser_ {Series}
_texticonhdate_ {Dates}
_texticonhhow_ {How to}
_texticonhorg_ {Organizations}
_texticonhbrwse_ {Browse}
_texticonhpeople_ {People A-Z}

_texticonopenbookshelf_ {close this section of the library}
_texticonclosedbookshelf_ {open this section of the library and view contents}
_texticonopenbook_ {close this book}
_texticonclosedfolder_ {Open this folder and view contents}
_texticonclosedfolder2_ {open sub-section: }
_texticonopenfolder_ {close this folder}
_texticonopenfolder2_ {close sub-section: }
_texticonsmalltext_ {View this section of the text}
_texticonsmalltext2_ {view text: }
_texticonpointer_ {current section}
_texticondetach_ {Open this page in a new window}
_texticonhighlight_ {Highlight search terms}
_texticonnohighlight_ {Don't highlight search terms}
_texticoncontracttoc_ {Collapse table of contents}
_texticonexpandtoc_ {Expand table of contents}
_texticonexpandtext_ {Display all text}
_texticoncontracttext_ {Display text only for currently selected section}
_texticonwarning_ {<b>Warning: </b>}
_texticoncont_ {continue?}

_textltwarning_ {
<p><center>
<table cellspacing=0 cellpadding=0 width=_pagewidth_>
<tr valign=top><td>_iconwarning_Expanding the text here will generate a large 
amount of data for your browser to display _imagecont_
</td></tr></table></center>
}

################
# from visarts.dm
###############

_texticonhartst_ {Artists}
_texticonhcat_ {Categories}


######################################################################

package home

_documents_ { documents. }
_lastupdate_ {Last updated}
_ago_ {days ago.}
_colnotbuilt_ {Collection not built.}


_textpeople_ {People}
_textfb_ {Feedback}
_textpub_ {Publications}
_texttec_ {Technology}
_textrw_ {Related Work}
_textinfosheet_ {Info Sheet}
_textscreenshots_ {Screen Shots}
_textnpepainfosheet_ {Niupepa Info Sheet}
_textpagetitle_ {Greenstone Digital Library}
_textprojhead_ {The New Zealand Digital Library Project}

_textprojinfo_ {
<h4>The NZDL system</h4>

<p> The New Zealand Digital Library system comprises several demonstration
collections -- computer science technical reports and bibliographies, literary
works, humanitarian and development information, magazines -- and makes them
available over the Web through full-text interfaces.  Behind the query
interface lies a huge collection providing gigabytes of information.  We hope
you find what you want, or at least something intriguing!

<h4>The Greenstone software</h4>

<p> The Greenstone Digital Library software provides a new way of organizing
information and making it available over the Internet.  A <i>collection</i> of
information comprises several (typically several thousand, or even several
million) <i>documents</i>, which share a uniform searching and browsing
interface.  The collections in a library are organized in a different
way--though they share a strong family resemblance.  Although primarily
designed for access over the Web, Greenstone collections can be made available,
in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
open-source software, available under the terms of the Gnu public linense.
 
<h4>The research</h4>

<p> The goal of our research program is to explore the potential of
internet-based digital libraries.  Our vision is to develop systems that
automatically impose structure on anarchic, uncatalogued, distributed
repositories of information, thereby providing information consumers with
effective tools to locate what they need and to peruse it conveniently and
comfortably.  Our research objectives are to

<ul>
  <li> develop technology for creating and automatically
      maintaining collections;
  <li> monitor usage to study library users' needs;
  <li> look at novel interfaces that cater to a wide spectrum of users;
  <li> find ways to abstract layout and bibliographic information
      from document files;
  <li> use this information to enhance presentation and for
      bibliometric research;
  <li> assess potential subject areas for public-domain collections;
  <li> survey and critique other digital library projects.
</ul>
}

_textotherinfo_ {
<table border=0 cellpadding=5><tr valign=top>
<td width=50%>
<h4>Global Help Projects vzw</h4>

<a href="http://www.globalprojects.org">Global Help Projects</a> is a registered
charity responsible for the Humanity Libraries Project
that provides universal low-cost information access through co-operation
between UN Agencies, universities and NGOs.
Global Help Projects collaborate extensively with the NZDL 
project, and use the Greenstone software.
</td><td width=50%>
<h4>DigiLib Systems Limited</h4>

<p><a href="http://www.digilibs.com/">DigiLib Systems Limited</a> is an
innovative software company that creates international digital libraries.
As a major contributor to the Greenstone Digital Library Software they are
able to build, customize, and extend digital libraries to meet exacting needs.
Please <a href="mailto:contact@digilibs.com">contact</a> them for an obligation
free quote.
</td></tr></table>
}

_textpoem_ {
<br><h2 align=left>Kia papapounamu te moana</h2>

        <p>kia hora te marino,
        <br>kia tere te karohirohi,
        <br>kia papapounamu te moana

        <p>may peace and calmness surround you,
        <br>may you reside in the warmth of a summer's haze,
        <br>may the ocean of your travels be as smooth as the polished greenstone.
}

_textgreenstone_ {
<p><br>
Greenstone is a semi-precious stone that (like this software) is sourced in
New Zealand.  In traditional Maori society it was the most highly prized and
sought after of all substances.  It can absorb and hold <i>wairua</i>, which is
a spirit or life force, and is endowed with traditional virtues that make it an
appropriate emblem for a public-domain digital library project.  Its lustre
shows charity; its translucence, honesty; its toughness, courage; and the sharp
edge it can take, justice.  The carved piece used in the Greenstone Digital
Library Software logo is a <i>patu</i> or fighting club, and is a family
heirloom of one of our project members.  In hand-to-hand combat its delivery is
very quick, very accurate, and very complete.  We like to think these qualities
also apply to our software, the razor sharp edge of the <i>patu</i> symbolizing
the leading edge of technology.

<p><a href="mailto:greenstone@cs.waikato.ac.nz">Greenstone Digital Library Software</a>
<br><a href="http://www.cs.waikato.ac.nz/cs">Computer Science Department</a>, 
<a href="http://www.waikato.ac.nz">University of Waikato</a>, New Zealand

<br>October 1999
}

#######################################################################
package help

_textHelp_ {Help}
_textSearchshort_ {search for particular words}
_textSeriesshort_ {access publications by series}
_textDateshort_ {access publications by date}
_textSubjectshort_ {access publications by subject}
_textTitleshort_ {access publications by title}
_textBrowseshort_ {browse publications}
_textCreatorshort_ {access publications by author}
_textOrganizationshort_ {access publications by organization}
_textHowtoshort_ {access publications by how to listing}
_textTopicshort_ {access publications by topic}
_textPeopleshort_ {access publications by people}
_textdefaultshorttext_ {undefined classification}

_textSearchlong_ {
<p>You can <i>search for particular words</i> that appear in the text from the
"search" page. This is the first page that comes up when you begin, and can be
reached from other pages by pressing the <i>search</i> button.
}

_textTitlelong_ {
<p>You can <i>access publications by title</i> by pressing the <i>titles a-z</i>
button.  This brings up a list of books in alphabetic order.
}

_textOrganizationlong_ {
<p>You can <i>access publications by organization</i> by pressing the <i>organization</i>
button.  This brings up a list of organizations.
}

_textHowtolong_ {
<p>You can <i>access publications by how to listing</i> by pressing the <i>how to</i>
button.  This brings up a list of how to strings.
}

_textCreatorlong_ {
<p>You can <i>access publications by author</i> by pressing the <i>authors a-z</i>
button.  This brings up a list of books, sorted by author name.
}

_textTopiclong_ {
<p>You can <i>access publications by topic</i> by pressing the <i>topic</i>
button.  This brings up a list of topics to browse.
}

_textSubjectlong_ {
<p>You can <i>access publications by subject</i> by pressing the <i>subjects</i>
button.  This brings up a list of subjects, represented by bookshelves.
}

_textSerieslong_ {
<p>You can <i>access publications by series</i> by pressing the <i>series</i> button. 
This brings up a list of those series which are currently in the collection. 
}

_textDatelong_ {
<p>You can <i>access publications by date</i> by pressing the <i>dates</i> button. 
This brings up a list of all the issues, sorted chronologically.
}

_textBrowselong_ {
<p>You can <i>browse publications</i> by pressing the <i>browse</i> button.
}

_textPeoplelong_ {
<p>You can <i>access publications by people</i> by pressing the 
   <i>people a-z</i> button.  This brings up a list of entries, sorted by 
     surname.
}

_textdefaultlongtext_ {
<p>Click on the <i>unknown</i> button to browse publications (listing is sorted
by an unknown field).
}

_texthelptopics_ {
<h2 align=left>Topics</h2>
<ul>
  <li><a href="\#finding-information">_textsimplehelpheading_</a>
  _topicreadingdocs_
  <li><a href="\#searching">How to search for particular words</a>
<ul>
  <li><a href="\#query-terms">Search terms</a>
  <li><a href="\#query-type">Query type</a>
  <li><a href="\#scope-of-queries">Scope of queries</a>
</ul>
  <li><a href="\#preferences">_textchangeprefs_</a>
<ul>
  <li><a href="\#col-prefs">Collection preferences</a>
  <li><a href="\#pres-prefs">Presentation preferences</a>
  <li><a href="\#search-prefs">Search preferences</a>
</ul>
</ul>
}

# there are 4 versions of this section of the help text.
# which version is used is currently set within the server
# (it should probably use the macro language e.g. [type=book])
# 1 = html (like fao collections) -- section is empty
# 2 = book (like hdl collection) -- macros beginning with book
# 3 = bibliographic (like csbib) -- macros beginning with bib
# 4 = standard (like gberg) -- the default

_topicreadingdocs_ {<li><a href="\#reading-docs">_textreadingdocs_</a>}

_textreadingdocs_ {How to read the documents}
_booktextreadingdocs_ {How to read the books}
_bibtextreadingdocs_ {Getting more information on a bibliography item}

_texthelpreadingdocs_ {
<p>_iconblankbar_
<a name=reading-docs>
<h2>_textreadingdocs_</h2>

<p>You can tell when you have arrived at an individual document because
its title and author appear at the top left of the page. Beside these
is the number of the current page, a box that allows you to select a
new page, and forward and backward arrows.

<p>Underneath is the text of the current section. When you have read
through it, there are arrows at the bottom to take you on to the next
section or back to the previous one.

<p>Below the title and author are three buttons. Click on <i>expand
text</i> to expand out the whole text of the current document. If the
document is large, this could take a long time and use a lot of memory!
Click on <i>detach</i> to make a new browser window for this
document. (This is useful if you want to compare documents, or read two
at once.)  Finally, when you do a search the words you search for are
highlighted.  Click on <i>no highlighting</i> to remove the highlighting.
<p>
<table cellspacing="0" cellpadding="2" border="0">
<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click on the arrow to go to the next section ...</td></tr>
<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
src="_document:httpiconetsecof_" border="0"></td><td>Display all text, or not</td></tr>
<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
</table>

}

_booktexthelpreadingdocs_ {
<p>_iconblankbar_
<a name=reading-docs>
<h2>_textreadingdocs_</h2>

<p>You can tell when you have arrived at an individual book because there is a
photograph of its front cover at the top left of the page.  Beside the photograph 
is a table of contents with an arrow marking where you are.  This table is 
expandable: click on the folders to open them or close them.  Click on the open 
book at the top to close it.

<p>Underneath is the text of the current section.  When you have read through
it, there are arrows at the bottom to take you on to the next section or back
to the previous one.

<p>Below the photograph are four buttons. Click on <i>expand text</i> to
expand out the whole text of the current section, or book.  If the book is
large, this could take a long time and use a lot of memory! Click on
<i>expand contents</i> to expand out the whole table of contents so that
you can see the titles of all chapters and subsections. Click on
<i>detach</i> to make a new browser window for this book.  (This is useful
if you want to compare books, or read two at once.) Finally, when you do a
search the words you search for are highlighted. Click on <i>no
highlighting</i> to remove highlighting.

<p>
<table cellspacing="0" cellpadding="2" border="0">
<tr><td colspan=2><img src="_httpiconbshelf_" border="0"></td><td>Open this bookshelf</td></tr>
<tr><td><img src="_httpiconopenbook_" border="0"></td><td><img 
src="_httpiconbook_" border="0"></td><td>Open/close this book</td></tr>
<tr><td colspan=2><img src="_httpiconitext_" border="0"></td><td>View this section of the text</td></tr>
<tr><td><img src="_document:httpiconealltof_" border="0"></td><td><img 
src="_document:httpiconetsecof_" border="0"></td><td>Display all text, or not</td></tr>
<tr><td><img src="_document:httpiconeexpcof_" border="0"></td><td><img
src="_document:httpiconeconcof_" border="0"></td><td>Expand table of contents, or not</td></tr>
<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
<tr><td colspan=2><img src="_httpiconmore_" border="0"></td><td>Click the arrow to go to the next section ...</td></tr>
<tr><td colspan=2><img src="_httpiconless_" border="0"></td><td>... or back to the previous section</td></tr>
</table>
}

_bibtexthelpreadingdocs_ {
<p>_iconblankbar_
<a name=reading-docs>
<h2>_textreadingdocs_</h2>

<p>Some bibliography items contain more information, such as an abstract.
You can tell from the query response page if this is the case because they 
are shown with the _icontext_ icon instead of the _iconblanktext_ icon.

<p>Clicking on the _icontext_ icon will give you more information about the
bibliography item.

<p> Below the bibliography item are two buttons. Click on <i>detach</i> to 
make a new browser window for this book. (This is useful if you want to compare
bibliography items.) Finally, when you do a search the words you search for are 
highlighted. Click on <i>no highlighting</i> to remove the highlighting.

<p>
<table cellspacing="0" cellpadding="2" border="0">
<tr><td colspan=2><img src="_document:httpiconedtchof_" border="0"></td><td>Open this page in a new window</td></tr>
<tr><td><img src="_document:httpiconehlof_" border="0"></td><td><img
src="_document:httpiconenhlof_" border="0"></td><td>Highlight search terms, or not</td></tr>
</table>
}

_texthelpsearching_ {
<h2>How to search for particular words</h2>
<p>
  From the search page, you make a query in these simple steps:<p>
  
  <ol><li>Specify what documents you want to search
      <li>Say whether you want to search for all or just some of the words
      <li>Type in the words you want to search for
      <li>Click the <i>Begin Search</i> button
  </ol>

<p>When you make a query, the titles of twenty matching documents will be shown.
There is a button at the end to take you on to the next twenty documents.  From
there you will find buttons to take you on to the third twenty or back to the
first twenty, and so on.  Click the title of any document, or the little button
beside it, to see it.

<p>A maximum of 100 is imposed on the number of
  documents returned.  You can change this number by clicking the
  <i>preferences</i> button at the top of the page.<p>

<p>_iconblankbar_
<a name=query-terms>
<h3>Search terms</h3>

<p>Whatever you type into the query box is interpreted as a list of words
called "search terms."  Each term contains nothing but alphabetic characters
and digits.  Terms are separated by white space.  If any other characters such
as punctuation appear, they serve to separate terms just as though they were
spaces.  And then they are ignored.  You can't search for words that include
punctuation.

<p>For example, the query<p>
    <ul><kbd>Agro-forestry in the Pacific Islands: Systems for Sustainability (1993)</kbd></ul>
      <p>will be treated the same as<p>
      <ul><kbd>Agro forestry in the Pacific Islands  Systems for Sustainability  1993 </kbd></ul><p>

<p>_iconblankbar_
<a name=query-type>
<h3>Query type</h3>

<p>There are two different kinds of query.

<ul>
  <li>Queries for <b>all</b> of the words.  These look for documents that 
      contain all the words you have specified.  Documents that satisfy the
      query are displayed, in alphabetical order.<p>

  <li>Queries for <b>some</b> of the words.  Just list some terms that are
      likely to appear in the documents you are looking for.  Documents are
      displayed in order of how closely they match the query.  When determining

      the degree of match,

      <p><ul>
        <li> the more search terms a document contains, the closer it matches;
        <li> rare terms are more important than common ones;
        <li> short documents match better than long ones.
      </ul>
</ul>

<p>Use as many search terms as you like--a whole sentence, or even a
whole paragraph.  If you specify only
one term, documents will be ordered by its frequency of occurrence.<p>
_texthelpscope_
}

_textchangeprefs_ {Changing your preferences}

_texthelppreferences_ {<h2>_textchangeprefs_</h2>

<p>When you click the <i>preferences</i> button at the top of the page you will
be able to change some features of the interface to suit your own requirements.

<p>_iconblankbar_
<a name=col-prefs>
<h3 align=left>Collection preferences</h3>

Some collections comprise several subcollections, which can be searched
independently or together, as one unit.  If so, you can select which
subcollections to include in your searches on the Preferences page.

<p>_iconblankbar_
<a name=pres-prefs>
<h3 align=left>Presentation preferences</h3>

Depending on the particular collection, there may be several options you can
set that control the presentation.

Collections of Web pages allow you to suppress the Greenstone navigation bar at
the top of each document page, so that once you have done a search you land at
the exact Web page that matches without any Greenstone header.  To do another
search you will have to use your browser's "back" button.  These collections
also allow you to suppress Greenstone's warning message when you click a link
that takes you out of the digital library collection and on to the Web itself.
And in some Web collections you can control whether the links on the "Search
Results" page take you straight to the actual URL in question, rather than to
the digital library's copy of the page.

Collections that are capable of being presented in different languages allow
you to specify the interface language.  If the language is Chinese, you can
also specify which of the standard Chinese encodings your browser uses.

Finally, all collections allow you to switch to a textual interface format
rather than the standard graphical one.  This is particularly useful for
visually impaired users who use large screen fonts or speech synthesizers for
output.

<p>_iconblankbar_
<a name=search-prefs>
<h3 align=left>Search preferences</h3>
Two pairs of buttons control the case sensitivity and stemming of the searches
that you make. The first set of buttons controls whether upper and lower case
must match (case sensitivity).  The second set controls whether to ignore word
endings or not (stemming).

<p>For example, if the buttons <i>ignore case differences</i> and
<i>ignore word endings</i> are selected, the query<p>
    <ul><kbd>African building</kbd></ul>
      <p>will be treated the same as<p>
      <ul><kbd>africa builds</kbd></ul><p>
      because the uppercase letter in "African" will be transformed to
      lowercase, and  the suffixes "n" and "ing" will be removed from
      "African" and "building" respectively (also, "s" would be removed from
      "builds").

<p>You can also switch to an "advanced" query mode which allows you to
combine terms using AND (&), OR (|), and NOT (!). This allows you to
specify more precise queries.

<p>Finally, you can control the number of hits returned, and the number
presented on each screenful.

}

_texttanumbrowseoptions_ {There are _numbrowseoptions_ ways to find information in this collection:}

_textsimplehelpheading_ {How to find information}

_texthelpscope_ {
<p>_iconblankbar_
<a name=scope-of-queries>
<h3 align=left>Scope of queries</h3>

<p>
In most collections you can choose different indexes to search. For example, there might
be author or title indexes. Or there might be chapter or paragraph indexes. Generally,
the full matching document is returned regardless of which index you search.
<p>If documents are books, they will be opened at the appropriate place.
}

####################################################################

package query

_textquerytitle_ {_If_(_thislast_,results _thisfirst_ - _thislast_ for query: _cgiargq_,No matches for query: _cgiargq_}
_textnoquerytitle_ {Search page}

_texticonthispage_ {search}
_textsome_ {_If_(_cgiargb_,ranked,some)}
_textall_ {_If_(_cgiargb_,boolean,all)}
_texticonqueryresultsbar_ {}
_textfreqmsg1_ {Word count: }
_textpostprocess_ {_If_(_quotedquery_,<br><i>post-processed to find _quotedquery_</i>
)}

_textmorethan_ {More than }
_textapprox_ {About }
_textnodocs_ {No documents matched the query.}
_text1doc_ {1 document matched the query.}
_textlotsdocs_ {documents matched the query.}
_textmatches_ {Matches }
_textbeginsearch_ {Begin Search}

# the textselect macro may need to be overridden for some collections
# _hselection_, _jselection_ and _nselection_ are set from within the server
# some or all of them may remain unset
_textselect_ {_If_(_cgiargb_,_textadvancedsearch_,_textsimplesearch_)}

_defaultindextext_ { all text }
_textsimplesearch_ {Search for _If_(_hselection_, _hselection_, _defaultindextext_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
which contain _querytypeselection_ of the words}

_textadvancedsearch_ {Search_If_(_hselection_, _hselection_, _defaultindextext_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
using _querytypeselection_ query}

_textjselect_ {_If_(_hselection_, of) _jselection_}

_querytypeselection_ {
<select name="t">
<option value="1"_If_(_cgiargt_, selected)>_textsome_
<option value="0"_If_(_cgiargt_,, selected)>_textall_
</select>
}

_textstemon_ { (ignoring word endings)}


############################################################################

package preferences

_textsearchprefs_ {Search preferences}
_textcollectionprefs_ {Collection preferences}
_textpresentationprefs_ {Presentation preferences}
_textpreferences_ {Preferences}
_textignorecase_ { ignore case differences}
_textmatchcase_ { upper/lower case must match}
_textstem_ { ignore word endings}
_textnostem_ { whole word must match}
_textprefop_ {Return up to _maxdocoption_ hits with _hitsperpageoption_ hits per page.}
_textextlink_ {Access to external Web pages: }
_textintlink_ {Source documents retrieved from:}
_textlanguage_ {Interface language: }
_textencoding_ {Encoding: }
_textformat_ {Interface format: }
_textall_ {all}
_textsimplemode_ {simple query mode}
_textadvancedmode_ {advanced query mode (allows boolean searching using !, &, |, and parentheses)}
_textlinkinterm_ {through intermediate page}
_textlinkdirect_ {go directly there}
_textdigitlib_ {the digital library}
_textweb_ {the web}
_textlangeng_ {English}
_textlangmaori_ {M&auml;ori}
_textlangchinese_ {Chinese}
_textgraphical_ {Graphical}
_texttextual_ {Textual}
_textcollectionoption_ {<p>
Subcollections to include:
<br>}
_textfcoption_ {Include navigation bar at top of document pages}
_texthloption_ {Highlight search terms within document text}

################################################################################

package people

_textpagetitle_ {NZDL: People}

_textsmallrs_ {Related Staff}

_textsawnzdl_ {Staff associated with the New Zealand Digital Library 
	project are:}
_texttrsaawp_ {These research students and software support people are associated with the project:}

_textstafftable_ {
<table>
<tr>
  <td align=right valign=top width=100><a href="http://www.cs.waikato.ac.nz/~ihw">Ian Witten</a></td>
  <td _1_ align=left valign=top>Project leader; co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/mark-d.-apperley-.html">Mark Apperley</a></td>
  <td _1_ align=left valign=top>User interfaces for readers</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/david-bainbridge.html">David Bainbridge</a></td>
  <td _1_ align=left valign=top>Musical and Web-based collections; optical music recognition</td>
</tr>
<tr>
  <td align=right valign=top><a
href="http://www.cs.waikato.ac.nz/cs/Staff/sally-jo-cunningham.html">Sally Jo Cunningham</a></td>
  <td _1_ align=left valign=top>Collections and usage studies</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/cs/Staff/steve-jones.html">Steve Jones</a></td>
  <td _1_ align=left valign=top>Phrase-based interfaces, collaborative browsing, usage analysis</td>
</tr>
<tr>
  <td align=right valign=top><a
  href="http://www.cs.waikato.ac.nz/cs/Staff/te-taka-keegan.html">Te Taka Keegan
  </a></td> 
  <td _1_ align=left valign=top>Maori language systems</td>
</tr>
  <td align=right valign=top><a
  href="http://www.cs.waikato.ac.nz/Staff/malika-mahoui.html">Malika
  Mahoui</a></td> 
  <td _1_ align=left valign=top>Text mining, Arabic interfaces</td>
</tr>
</table>
}

_textgstable_ {
<table>
<tr>
  <td align=right valign=top>George Buchanan</a></td>
  <td _1_ align=left valign=top>Systems support</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~sjboddie">Stefan Boddie</a></td>
  <td _1_ align=left valign=top>Systems support</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~rjmcnab">Rodger McNab</a></td>
  <td _1_ align=left valign=top>Systems support</td>
</tr>
<tr>
  <td align=right valign=top>YingYing Wen</a></td>
  <td _1_ align=left valign=top>Text mining, Chinese libraries</td>
</tr>
<tr>
  <td align=right valign=top>Stuart Yeates</a></td>
  <td _1_ align=left valign=top>Text mining, acronym extraction</td>
</tr>
</table>
}

_textsmallcont_ {Other Contributors}
_texttpcsp_ {These people have contributed strongly to the project:}

_textconttable_ {
<table>
<tr>
  <td align=right valign=top width=100>Mark Abrahams</td>
  <td _1_ align=left valign=top>Client-side browsing interfaces using Java</td>
</tr>
<tr>
  <td align=right valign=top width=100><a href="http://www.cosc.canterbury.ac.nz/~tim">Tim Bell</a></td>
  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a></td>
</tr>
<tr>
  <td align=right valign=top>Matt Humphrey</td>
  <td _1_ align=left valign=top>Information visualization in the digital library</td>
</tr>
<tr>
  <td align=right valign=top><a
href="http://www.cs.waikato.ac.nz/~singlis">Stuart Inglis</a></td>
  <td _1_ align=left valign=top>Document image analysis and optical character recognition</td>
</tr>
<tr>
  <td align=right valign=top>Trent Mankelow</a></td>
  <td _1_ align=left valign=top>School Journal prototype</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cosc.canterbury.ac.nz/~bruce">Bruce McKenzie</a></td>
  <td _1_ align=left valign=top>Original interface to MG</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.mu.oz.au/~alistair">Alistair Moffat</a></td>
  <td _1_ align=left valign=top>Co-author of <a href="http://www.cs.mu.oz.au/mg/"><i>Managing Gigabytes</i></a>,
created the MG software</td>
</tr>
<tr>
  <td align=right valign=top>Todd Reed</td>
  <td _1_ align=left valign=top>PostScript to text conversion, user interface, WWW server, index building, FTP</td>
</tr>
<tr>
  <td align=right valign=top><a
href="http://www.cs.waikato.ac.nz/cs/Staff/don-a.-smith.html">Don Smith</a></td>
  <td _1_ align=left valign=top>Special needs of libraries for mathematical and theoretical materials</td>
</tr>
<tr>
  <td align=right valign=top>Che Tamahori</td>
  <td _1_ align=left valign=top>Designer of New Zealand Digital Library Web
  pages</td>
</tr>
<tr>
  <td align=right valign=top><a
href="http://www.cs.waikato.ac.nz/~wjt">Bill Teahan</a></td>
  <td _1_ align=left valign=top>Language modeling</td>
</tr>
<tr>
  <td align=right valign=top>Mahendra Vallabh</td>
  <td _1_ align=left valign=top>Original FTP script</td>
</tr>
<tr>
  <td align=right valign=top><a
href="http://www.cs.waikato.ac.nz/cs/Staff/lloyd-a.-smith.html">Lloyd Smith</a></td>
  <td _1_ align=left valign=top>Music collections and music retrieval</td>
</tr>
<tr>
  <td align=right valign=top>John Venable</td>
  <td _1_ align=left valign=top>Requirements for digital libraries, and collections for information systems</td>
</tr>
</table>
}

_textaffiliates_ {There are several affiliates at other universities:}

_textaffiliatetable_ {
<table>
<tr>
  <td align=right valign=top>Elke Duenker</td>
  <td _1_ align=left valign=top>Cross-cultural issues</td>
</tr>
<tr>
  <td align=right valign=top><a href="http://www.cs.waikato.ac.nz/~cgn/
">Craig Nevill-Manning</a></td>
  <td _1_ align=left valign=top>PostScript to text conversion, user
interface, WWW server, index
building, FTP</td>
</tr>
<tr>
  <td align=right valign=top>Nina Reeves</td>
  <td _1_ align=left valign=top>Librarians and library users</td>
</tr>
<tr>
  <td align=right valign=top>Yin Leng Theng</td>
  <td _1_ align=left valign=top>Digital libraries for schools</td>
</tr>
<tr>
  <td align=right valign=top>Harold Thimbleby</td>
  <td _1_ align=left valign=top>User interfaces for digital
libraries</td>
</tr>
</table>
}

############################################################################

package technology

_textpagetitle_ {NZDL: Technology}


############################################################################

package status

_textframebrowser_ {You must have a frame enabled browser to view this.}
_textusermanage_ {User management}
_textlistusers_ {list users}
_textaddusers_ {add a new user}

_textinfo_ {Information}
_textgeneral_ {general}
_textarguments_ {arguments}
_textactions_ {actions}
_textprotocols_ {protocols}

_textcollections_ {Collections}
_textnewcoll_ {new collection}
_texteditcoll_ {edit collection}
_textbuildcoll_ {build collection}
_textdeletecoll_ {delete collection}

_textlogs_ {Logs}
_textinitlog_ {init log}
_texterrorlog_ {error log}

_textreturnhome_ {Return to home page}

_titlewelcome_ { Maintenance and Administration }

_welcome_ {

<p> Maintenance and administration services available include:
	view on-line logs; 
	create, maintain and update collections; 
	and access technical information such as CGI arguments.  
	These services are accessed using the
	side navigation bar on the lefthand side of the page.
}

########################################################################

package html

_textframebrowser_ {You must have a frame enabled browser to view this.}

########################################################################

package extlink

_textextlink_ {External Link}
_textlinknotfound_{Internal Link not Found}

_textextlinkcontent_ {The link you have selected is external to any of your currently selected collections.
    If you still wish to view this link and your browser has access to 
    the Web, you can <a href="_nexturl_">go forward</a> to this page; otherwise 
    use your browsers "back" button to return to the previous document.}

_textlinknotfoundcontent_ {For reasons beyond our control, the internal link you have selected 
    does not exist.  This is probably due to an error in the source collection.
    Use your browsers "back" button to return to the previous document.}


#########################################################################

package authen

_textGSDLtitle_ {Greenstone Digital Library}

_textusername_ {username}
_textpassword_ {password}

_textmessageinvalid_ {The page you have requested requires you to sign in.
Please enter your username and password.}

_textmessagefailed_ {Either your user name or password was incorrect.}

_textmessagedisabled_ {Sorry, your account has been disabled. Please contact
the webmaster for this site.}

_textmessagepermissiondenied_ {Sorry, you do not have permission to access this page.}

_textmessagestalekey_ {The link you have followed is now stale. 
Please enter your password to access this page.}

